# Endpoints

- [Continents](https://docs.sportmonks.com/v3/core-api/endpoints/continents.md)
- [GET All Continents](https://docs.sportmonks.com/v3/core-api/endpoints/continents/get-all-continents.md): Returns all the continents available within your subscription.
- [GET Continent by ID](https://docs.sportmonks.com/v3/core-api/endpoints/continents/get-continent-by-id.md): Returns information from your requested continent ID.
- [Countries](https://docs.sportmonks.com/v3/core-api/endpoints/countries.md)
- [GET All Countries](https://docs.sportmonks.com/v3/core-api/endpoints/countries/get-all-countries.md): Returns all the countries available within your subscription.
- [GET Country by ID](https://docs.sportmonks.com/v3/core-api/endpoints/countries/get-country-by-id.md): Returns information from your requested country ID.
- [GET Countries by Search](https://docs.sportmonks.com/v3/core-api/endpoints/countries/get-countries-by-search.md): Returns country information that match your search query.
- [Regions](https://docs.sportmonks.com/v3/core-api/endpoints/regions.md)
- [GET All Regions](https://docs.sportmonks.com/v3/core-api/endpoints/regions/get-all-regions.md): Returns all the regions available within your subscription.
- [GET Region by ID](https://docs.sportmonks.com/v3/core-api/endpoints/regions/get-region-by-id.md): Returns information from your requested region ID.
- [GET Regions by Search](https://docs.sportmonks.com/v3/core-api/endpoints/regions/get-regions-by-search.md): Returns region information that matches your search query.
- [Cities](https://docs.sportmonks.com/v3/core-api/endpoints/cities.md)
- [GET All Cities](https://docs.sportmonks.com/v3/core-api/endpoints/cities/get-all-cities.md): Returns all cities available within your subscription.
- [GET City by ID](https://docs.sportmonks.com/v3/core-api/endpoints/cities/get-city-by-id.md): Returns information from your requested city ID.
- [GET Cities by Search](https://docs.sportmonks.com/v3/core-api/endpoints/cities/get-cities-by-search.md): Returns cities information that matches your search query.
- [Types](https://docs.sportmonks.com/v3/core-api/endpoints/types.md)
- [GET All Types](https://docs.sportmonks.com/v3/core-api/endpoints/types/get-all-types.md): Returns all types available within your subscription.
- [GET Type by ID](https://docs.sportmonks.com/v3/core-api/endpoints/types/get-type-by-id.md): Returns all types available within your subscription.
- [GET Type by Entity](https://docs.sportmonks.com/v3/core-api/endpoints/types/get-type-by-entity.md): Returns types which are available per entity
- [Filters](https://docs.sportmonks.com/v3/core-api/endpoints/filters.md)
- [GET All Entity Filters](https://docs.sportmonks.com/v3/core-api/endpoints/filters/get-all-entity-filters.md): Returns all types available within your subscription.
- [Timezones](https://docs.sportmonks.com/v3/core-api/endpoints/timezones.md)
- [GET All Supported Time Zones](https://docs.sportmonks.com/v3/core-api/endpoints/timezones/get-all-supported-time-zones.md): Returns all the available time zones that are supported by the API


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/core-api/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
